<?php
/**
*	此文件是流程模块【assetmuse.固定资产申领】对应控制器接口文件。
*/ 
class mode_assetmuseClassAction extends inputAction{
	
	/**
	*	重写函数：保存前处理，主要用于判断是否可以保存
	*	$table String 对应表名
	*	$arr Array 表单参数
	*	$id Int 对应表上记录Id 0添加时，大于0修改时
	*	$addbo Boolean 是否添加时
	*	return array('msg'=>'错误提示内容','rows'=> array()) 可返回空字符串，或者数组 rows 是可同时保存到数据库上数组
	*/
	protected function savebefore($table, $arr, $id, $addbo){
		
	}
	
	/**
	*	重写函数：保存后处理，主要保存其他表数据
	*	$table String 对应表名
	*	$arr Array 表单参数
	*	$id Int 对应表上记录Id
	*	$addbo Boolean 是否添加时
	*/	
	protected function saveafter($table, $arr, $id, $addbo){
		
	}


	 public function getnumAjax(){
        $numb = $this->post('numb');
        $data = m('assetm')->getone('id = '.$numb,"title,price,buydt,CONCAT('型号：',`model_type`,'   机器编号:',IFNULL(`model_id`,' 未知 '),'   处理器(CPU):',IFNULL(`model_cpu`,' 未知 '),'  内存：',IFNULL(`model_ram`,' 未知 '),'   硬盘:',IFNULL(`model_hdd`,' 未知 '),'   显卡:',IFNULL(`model_vc`,'集成显卡'),'   操作系统:',IFNULL(`model_os`,' 未知 ')) as info");
        $this->returnjson($data);
	}
}	
			